Bug 427378 - HA LVM should allow multiple LVs/VG as long as they move together
Summary: HA LVM should allow multiple LVs/VG as long as they move together
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jonathan Earl Brassow
QA Contact:
URL:
Whiteboard:
Depends On: 427377
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-03 16:49 UTC by Jonathan Earl Brassow
Modified: 2009-04-16 22:53 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0353
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-21 14:30:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0353 normal SHIPPED_LIVE rgmanager bug fix and enhancement update 2008-05-20 12:46:24 UTC

Description Jonathan Earl Brassow 2008-01-03 16:49:04 UTC
+++ This bug was initially created as a clone of Bug #427377 +++

The restriction that there can be only one LV per VG in HA LVM can be
cumbersome.  It was done that way to ensure different machines did not alter the
same metadata if LVs were in use in different places.

We can releave some of the pain by allowing multiple LVs per VG if, and only if,
they move together.  IOW, all services which rely on a particular volume group
must exist on only one machine at a time.

Comment 1 RHEL Product and Program Management 2008-01-03 16:54:48 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 errata-xmlrpc 2008-05-21 14:30:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0353.html



Note You need to log in before you can comment on or make changes to this bug.